<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://java.sun.com/jsf/core">

        <h:form id="form3">
            <p:growl id="msgs" showDetail="true"/>

            <h:outputText value="trighttable table is empty!" rendered="#{empty externalsystemview.externalSystemList}"
                          style="font-size: 14px; color: #ffffff;"/>


            <p:dataTable id="externalsystemtable" var="ttt" value="#{externalsystemview.externalSystemList}"
                         rendered="#{not empty externalsystemview.externalSystemList}"
                         styleClass="table-cell"
                         headerClass="table-header"
                         rowKey="#{ttt.extId}"
                         scrollable="true" scrollHeight="150"
                         selectionMode="single"
                         selection="#{externalsystemview.concreetExternalSystem}"
                         rowStyleClass="row1Style"
                         columnClasses="columnClass">

                <p:ajax event="rowSelect" listener="#{externalsystemview.onRowSelect}" update=":tabview, :tabview1, :tabview1:form:trighttable, :tabview1:form2:tsettingsmpostable" />

                <p:column width="40" headerText="extCode" rendered="false"><h:outputLabel value="#{ttt.extCode}" /></p:column>

                <p:column width="40" headerText="Система" style="text-align: left" sortBy="#{ttt.extId}">
                    <p:commandButton actionListener="#{externalsystemview.showEditDialog(ttt)}" icon="ui-icon-pencil" rendered="#{(applicationUser.type==1)}" >
                        <p:ajax event="dialogReturn" listener="#{externalsystemview.onDialogClose}" update=":tabview:form3:msgs,:tabview:form3:externalsystemtable,:tabview1, :tabview1:form:trighttable" />
                    </p:commandButton>
                    <h:outputText value="&#160;" /><h:outputText value="&#160;" />
                    <h:outputLabel value="#{ttt.extId}" />
                </p:column>

                <p:column width="40" headerText="Описание" rendered="true" sortBy="#{ttt.description}"><h:outputLabel value="#{ttt.description}" /></p:column>

                <p:column width="40" headerText="regSysDate" rendered="false" sortBy="#{ttt.regSysDate}"><h:outputLabel value="#{ttt.regSysDate}" /></p:column>

                <p:column width="40" headerText="updateSysDate" rendered="false" sortBy="#{ttt.updateSysDate}"><h:outputLabel value="#{ttt.updateSysDate}" /></p:column>

                <p:column width="40" headerText="Статус" sortBy="#{ttt.status}"><h:outputLabel value="#{ttt.status eq '0' ? 'Не активная' : 'Активная'}" /></p:column>

                <p:column width="40" headerText="Аутентификация" sortBy="#{ttt.flagAppAuth}"><h:outputLabel value="#{ttt.flagAppAuth eq '0' ? 'Не обязательна' : 'Обязательна' }" /></p:column>

                <p:column width="40" headerText="authKey" rendered="false"><h:outputLabel value="#{ttt.authKey}" /></p:column>

                <p:column width="40" headerText="Банк" sortBy="#{ttt.psid}"><h:outputLabel value="#{ttt.psid}" /></p:column>

                <p:column width="40" headerText="Филиал" sortBy="#{ttt.fiid}"><h:outputLabel value="#{ttt.fiid}" /></p:column>

                <p:column width="40" headerText="hmacKey" rendered="false"><h:outputLabel value="#{ttt.hmacKey}" /></p:column>

                <p:column width="30" rendered="#{(applicationUser.type==1)}" headerText="Удалить">
                    <p:commandButton actionListener="#{externalsystemview.deleteRecord(ttt)}" icon="ui-icon-trash" title="Удалить" ajax="true" update="externalsystemtable" >
                        <p:confirm header="Confirmation" message="Вы действительно хотите удалить выбранную запись?" icon="ui-icon-alert"/>
                    </p:commandButton>
                </p:column>
            </p:dataTable>

            <p:contextMenu for="externalsystemtable">
                <p:menuitem value="Редактировать запись" actionListener="#{externalsystemview.showEditContextMenu}" ajax="false" icon="ui-icon-pencil" style="color: yellow; font-size: 12px;"/>
            </p:contextMenu>

            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                <p:commandButton value="Да" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                <p:commandButton value="Нет" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
            </p:confirmDialog>

            <p:separator/>

            <p:commandButton rendered="#{(applicationUser.type==1)}" value = "Добавить внешнюю систему" actionListener="#{externalsystemview.showAddNewDialog}">
                <p:ajax event="dialogReturn" listener="#{externalsystemview.onDialogClose}" update=":tabview:form3:msgs,:tabview:form3:externalsystemtable,:tabview1, :tabview1:form:trighttable"/>
            </p:commandButton>
        </h:form>
</html>
